Answer a challenge
POST
/app/{appId}/sessions/{sessionId}/challenges/{challengeId}
Submits an end-user’s answer to a challenge
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”challengeId
required
Unique identifier for the challenge
string
sessionId
required
string
Unique identifier for the session
Request Bodyrequired
Section titled “Request Bodyrequired”Request body for submitting a response to a challenge
Media typeapplication/json
One of:
object
cType
string
value
string
object
cType
string
value
string format: date-time
object
cType
string
value
string format: binary
object
cType
string
value
string
object
cType
string
value
One of:
object
type
Type of bank account identifier.
string
sort_code
Sort code (for UK bank accounts).
string
account_number
Account number (for UK bank accounts).
string
object
type
Type of bank account identifier.
string
iban
International Bank Account Number (see ISO 13616:2020).
string
bic
Bank Identifier Code.
string
object
cType
string
value
object
name
string
email
string format: email
phone
string
Responses
Section titled “Responses”Media typeapplication/json
One of:
Next challenge to complete
object
id
UUID of the newly created session
string format: uuid
locator
Uniquely identifies a challenge presented to a user within a session.
The investigationId and field describe what data was requested from
the user in the challenge.
object
challengeId
string format: uuid
investigationId
string format: uuid
field
string
UserReport screen to acknowledge
object
id
UUID of the newly created session
string format: uuid
report
object
riskSignals
required
Array<object>
object
type
required
string
flag
required
string
Example
{ "report": { "riskSignals": [ { "type": "TRUST", "flag": "MISMATCH" } ] }}